Package fr.gouv.vitam.common.model.processing

# Enum Class ProcessBehavior

java.lang.Object
java.lang.Enum<ProcessBehavior>
fr.gouv.vitam.common.model.processing.ProcessBehavior

All Implemented Interfaces:
  `Serializable`, `Comparable<ProcessBehavior>`, `Constable`

public enum ProcessBehavior extends Enum<ProcessBehavior>
Step Type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCKING`
  Blocking type step
  `FINALLY`
  Final step type
  `NOBLOCKING`
  No Blocking type step
  `PAUSE`
  Pausing type step

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProcessBehavior`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProcessBehavior[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLOCKING

    public static final ProcessBehavior BLOCKING
    Blocking type step

  - ### NOBLOCKING

    public static final ProcessBehavior NOBLOCKING
    No Blocking type step

  - ### PAUSE

    public static final ProcessBehavior PAUSE
    Pausing type step

  - ### FINALLY

    public static final ProcessBehavior FINALLY
    Final step type

- ## Method Details

  - ### values

    public static ProcessBehavior[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProcessBehavior valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null